import request from '@/utils/request'

// 查询博主名片列表
export function listCard(query) {
  return request({
    url: '/member/busiCard/list',
    method: 'get',
    params: query
  })
}

// 查询博主名片详细
export function getCard(query) {
  return request({
    url: '/member/busiCard/getBusiCardById',
    method: 'get',
    params: query
  })
}

// 新增博主名片
export function addCard(data) {
  return request({
    url: '/member/busiCard',
    method: 'post',
    data: data
  })
}

// 修改博主名片
export function updateCard(data) {
  return request({
    url: '/member/busiCard',
    method: 'put',
    data: data
  })
}

// 删除博主名片
export function delCard(id) {
  return request({
    url: '/member/busiCard/' + id,
    method: 'delete'
  })
}
